Subject: bug#72341: VC: CVS template lines not stripped when committing

From: Dmitry Gutov <[email-masked]>
Date: Tue, 30 Jul 2024 16:35:29 +0300

On 29/07/2024 15:34, Eli Zaretskii wrote:
> I'm unsure how to proceed with this.  My bother is that this is a
> definite change in behavior wrt what VC did until now.  Users of VC
> might be unaware of this removal, and could start some log lines with
> the prefix, which will mysteriously disappear from the log message.
> 
> Dmitry, WDYT?  Maybe we should add this removal guarded by a user
> option, by default off?  Or maybe we can identify where the template
> starts and ends, and only remove in that region?

If we do this, we'd only remove the lines starting with "CVS:". We could 
also add special syntax highlighting for them. That would probably be 
enough.

Then vc-cvs-checkin would additionally process the commit message string 
returned by log-edit-extract-headers.

Note that it seems we only handle "templates" for CVS and RCS, so there 
is no prior art for implementing this feature.